library(shinythemes)
library(DT)
shinyUI(
  
  fluidPage(theme = shinytheme("readable"),
#  pageWithSidebar(
  titlePanel(title = h1("OASIS - Optimization App for Selecting Item Subsets", align = "center")),
  sidebarPanel(
    fileInput('file1', 'Choose CSV File',
              accept=c('text/csv', 'text/comma-separated-values,text/plain', '.csv')),
    selectInput("columns", "Select Items", choices = NULL, multiple = TRUE),
    numericInput("Min", "Enter Min Number of Items", 3),
    numericInput("Max", "Enter Max Number of Items", 5),
    selectInput("conv_val", "Select Convergent Validity Measure", choices = NULL, multiple = TRUE),
    selectInput("disc_val", "Select Discriminant Validity Measure", choices = NULL, multiple = TRUE),
    selectInput("CalculateOmegaH", "Do you want to calculate Omega-h? This can be very time consuming & Min # items must be > 2", c(No = "no", Yes = "yes")),
    selectInput("dim", "Do you want to do Content Mapping?", c(No = "no", Yes = "yes")),
    conditionalPanel(
      condition = "input.dim == 'yes'",
      sliderInput("count", "Select number of Content Areas", min = 2, max = 5, value = 2)),
    conditionalPanel(
      condition = "input.dim == 'yes' & input.count == '2'",
      selectInput("col2", "Select Variables for Content Area 1", choices = NULL, multiple = TRUE),
      selectInput("col3", "Select Variables for Content Area 2", choices = NULL, multiple = TRUE)
    ),
    conditionalPanel(
      condition = "input.dim == 'yes' & input.count == '3'",
      selectInput("col4", "Select Variables for Content Area 1", choices = NULL, multiple = TRUE),
      selectInput("col5", "Select Variables for Content Area 2", choices = NULL, multiple = TRUE),
      selectInput("col6", "Select Variables for Content Area 3", choices = NULL, multiple = TRUE)
      ),
    conditionalPanel(
      condition = "input.dim == 'yes' & input.count == '4'",
      selectInput("col7", "Select Variables for Content Area 1", choices = NULL, multiple = TRUE),
      selectInput("col8", "Select Variables for Content Area 2", choices = NULL, multiple = TRUE),
      selectInput("col9", "Select Variables for Content Area 3", choices = NULL, multiple = TRUE),
      selectInput("col10", "Select Variables for Content Area 4", choices = NULL, multiple = TRUE)
      ),
    conditionalPanel(
      condition = "input.dim == 'yes' & input.count == '5'",
      selectInput("col11", "Select Variables for Content Area 1", choices = NULL, multiple = TRUE),
      selectInput("col12", "Select Variables for Content Area 2", choices = NULL, multiple = TRUE),
      selectInput("col13", "Select Variables for Content Area 3", choices = NULL, multiple = TRUE),
      selectInput("col14", "Select Variables for Content Area 4", choices = NULL, multiple = TRUE),
      selectInput("col15", "Select Variables for Content Area 5", choices = NULL, multiple = TRUE)
      ),
    selectInput("polar", "Do you want to take item polarity into account?", c(No = "no", Yes = "yes")),
    conditionalPanel(
      condition = "input.polar == 'yes'",
      selectInput("reverse_scored", "Select Reverse scored items", choices = NULL, multiple = TRUE)
      ),
    actionButton("values","Submit")
  ),
 
   mainPanel(
    h3("Data Snippet:"),
    tableOutput('contents'),
    h3("Result:"),
    dataTableOutput('contents2')
    
  )
)
)